routes/web.php
<?php

use App\Http\Middleware\Authenticate;
use App\Http\Controllers\ProductBacklogController;

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\ScrumTeamController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group(['middleware' => 'web'], function () {
    /** voeg hier de routes welke zonder authorisatie te bereiken is */
    Route::view('', 'home');

    Route::group(['middleware' => Authenticate::class], function () {
        /** voeg hier de routes welke authorisatie nodig hebben */
        Route::post('search/user', [ScrumTeamController::class, 'searchuser'])->name('searchuser');

        Route::resource('project', 'ProjectController');
        Route::prefix('project/{project}')->group(function () {
            Route::resource('scrumTeam', 'ScrumTeamController');
            Route::resource('sprint', 'SprintController');
            Route::resource('productBackLog', 'ProductBacklogController');
            Route::resource('defOfDone', 'DefOfDoneController');


            Route::prefix('sprint/{sprint}')->group(function () {
                Route::resource('retrospective', 'RetrospectiveController');
                Route::resource('review', 'ReviewController');
                Route::resource('scrumBoard', 'ScrumBoardController');
                Route::resource('sprintBacklog', 'SprintBacklogController');

                //Route::resource('sprintDashboard', 'PagesController');

                Route::resource('dailyStandUp', 'DailyStandUpController');
                Route::prefix('dailyStandUp/{dailyStandUp}')->group(function () {
                    Route::resource('standUpQuestion', 'StandUpQuestionController');
                    Route::resource('standUpAnswer', 'StandUpAnswerController');
                });

                //tijdelijke routes om snelle toegang te krijgen tot view
//            Route::put('sprintBacklog/{sprintBacklog}', [ProductBacklogController::class, 'updatesprintid'])->name('updatesprintid');
                Route::get('sprintDashboard', [PagesController::class, 'sprintDashboard'])->name('sprintDashboard');
            });
        });
    });
});
//    Route::middleware(['auth:sanctum', 'verified'])->get('/project', [ProjectController::class,'index'])->name('dashboard');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ asset('css/app.css') }}">

        @livewireStyles

        <!-- Scripts -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.7.3/dist/alpine.js" defer></script>
    </head>
    <body class="font-sans antialiased">
{{--        <div class="min-h-screen bg-gray-100">--}}
{{--            @livewire('navigation-dropdown')--}}

            <!-- Page Heading -->
{{--            <header class="bg-white shadow">--}}
{{--                <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">--}}
{{--                    {{ $header }}--}}
{{--                </div>--}}
{{--            </header>--}}

            <!-- Page Content -->
            <main>
                {{ $slot }}
            </main>
{{--        </div>--}}

        @stack('modals')

        @livewireScripts
    </body>
</html>

resources/views/layouts/guest.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ asset('css/app.css') }}">

        <!-- Scripts -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.7.3/dist/alpine.js" defer></script>
    </head>
    <body>
        <div class="font-sans text-gray-900 antialiased">
            {{ $slot }}
        </div>
    </body>
</html>

resources/views/layouts/layout.blade.php
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="ScrumApp" content="">
    <meta name="WFADSD2020 Team B3" content="">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>@yield('title','ScrumApp WFADSD2020-B3')</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">



    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/starter-template/">
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">

    @livewireStyles
    <!-- Scripts -->
    <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.7.3/dist/alpine.js" defer></script>
    <script src="https://kit.fontawesome.com/de68f974dc.js" crossorigin="anonymous"></script>

</head>

<body>
{{--<div class="min-h-screen font-sans text-gray-900 antialiased">--}}
<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="/">ScrumApp team B3</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item  block pl-1 pr-2 py-3 border-l-4 border-transparent text-base focus:outline-none transition duration-150 ease-in-out {{request()->getRequestUri()=='/'?'active':''}}">
                <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
            </li>

            @auth
                <li class="nav-item block pl-1 pr-2 py-3 border-l-4 border-transparent text-base focus:outline-none transition duration-150 ease-in-out">
                    <a class="nav-link {{request()->url()==route('project.index')?'active':''}}"
                       href="{{route('project.index')}}">Projects <span class="sr-only">(current)</span></a>
                </li>

                @if(!is_null(request()->route('project')))
                    <li class="nav-item dropdown block pl-1 pr-2 py-3 border-l-4 border-transparent text-base focus:outline-none transition duration-150 ease-in-out">
                        <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown"
                           aria-haspopup="true" aria-expanded="false">Project menu</a>
                        <div class="dropdown-menu" aria-labelledby="dropdown01">
                            <a class="dropdown-item" href="{{route('project.show',['project'=>$project->id])}}">Project dashboard</a>
                            <a class="dropdown-item" href="{{route('scrumTeam.index',['project' => $project->id])}}">Scrum teams</a>
                            <a class="dropdown-item" href="{{route('productBackLog.index',['project'=>$project])}}">Product Backlog</a>
                            <a class="dropdown-item" href="{{route('defOfDone.index',['project'=>$project])}}">Definition of Done</a>
                        </div>
                    </li>

                    @if(!is_null(request()->route('sprint')))
                        <li class="nav-item dropdown block pl-1 pr-2 py-3 border-l-4 border-transparent text-base focus:outline-none transition duration-150 ease-in-out">
                            <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown"
                               aria-haspopup="true" aria-expanded="false">Sprint menu</a>
                            <div class="dropdown-menu" aria-labelledby="dropdown01">
                                <a class="dropdown-item" href="{{route('sprint.show',['project'=> $project->id, 'sprint'=> $sprint->id ])}}">Sprint dashboard</a>
                                <a class="dropdown-item"
                                   href="{{route('dailyStandUp.index',['project'=> $project->id, 'sprint'=> $sprint->id, 'dailyStandUp'=>$dailyStandUp=1])}}">Daily stand up</a>
                                <a class="dropdown-item" href="{{route('review.index',['project'=> $project->id, 'sprint'=> $sprint->id, 'review'=>$review=1])}}">Sprint review</a>
                                <a class="dropdown-item" href="{{route('scrumBoard.index',['project'=> $project->id, 'sprint'=> $sprint->id])}}">Scrum board</a>
                                <a class="dropdown-item" href="{{route('retrospective.index',['project'=> $project->id, 'sprint'=> $sprint->id])}}">Retrospective</a>
                                <a class="dropdown-item" href="{{route('sprintBacklog.index',['project'=> $project->id, 'sprint'=> $sprint->id])}}">Sprintbacklog</a>
                            </div>
                        </li>
                    @endif
                @endif
            @endif
        </ul>

        <div class="float-right">
            <ul class="navbar-nav mr-auto">
                @if (Route::has('login'))
                    @auth
                        @livewire('navigation-dropdown')
                    @else
                        <li class="nav-item block pl-1 pr-2 py-3 border-l-4 border-transparent text-base focus:outline-none transition duration-150 ease-in-out">
                            <a href="{{ route('login') }}" class="nav-link">Login</a>
                        </li>
                        @if (Route::has('register'))
                            <li class="nav-item block pl-1 pr-2 py-3 border-l-4 border-transparent text-base focus:outline-none transition duration-150 ease-in-out">
                                <a href="{{ route('register') }}" class="nav-link">Register</a>
                            </li>
                        @endif
                    @endif
                @endif
            </ul>
        </div>
    </div>
</nav>

<main role="main" class="container font-sans text-gray-900 antialiased">
    @if(session()->has('NoAccess') || session()->has('showError'))
        <div class="container">
            <div class="alert alert-danger alert-dismissible m-3" id="noaccess-error">
                <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                {{session()->has('NoAccess')?session('NoAccess'):session('showError')}}
            </div>
        </div>
    @endif
    <div class="container-fluid pt-9 h-100 pb-3">
        @yield('content')
    </div>
</main>
</body>


@livewireScripts
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js"></script>
<script>
    $(function () {
        $("#noaccess-error").delay(4000).slideUp(800, function () {
            $(this).remove();
        });
    });
</script>

@yield('Script')

</html>